<?php $r="../";
require_once($r."inc/funciones.php");

$mysqli = connectDB($r);

$idproducto = $_POST['producto'];
$cantidad = $_POST['cantidad'];
$present = $_POST['present'];
$precio = $_POST['precio'];
$idcliente=$_POST['idcliente'];


if($_POST['producto']!=0){
    $infoproducto = sinfo('z_productos' , $idproducto);
    $nameproducto = $infoproducto['producto'];
    $ivaproducto = $infoproducto['iva'];
    
    $sqlpresent = $mysqli->query("SELECT cantidad FROM `z_presentaciones_productos` WHERE id='$present'");
    $rowpresent = $sqlpresent->fetch_assoc();
    $totalgramos = $cantidad*$rowpresent['cantidad'];
    
    
    $ivo = ($ivaproducto+100)/100;
    $preciob = $precio/$ivo;
    
    
    $subtotal = $cantidad*$precio;
    
    $sqlinventario=$mysqli->query("SELECT SUM(`cantidad`) AS 'total' FROM `z_inventario` WHERE `idproducto` = $idproducto;");
    $rowinventario=$sqlinventario->fetch_assoc();
    $allbodegas=$rowinventario['total'];
    
    $sqlinventario=$mysqli->query("SELECT SUM(`cantidad`) AS 'total' FROM `z_inventario` WHERE `idproducto` = $idproducto AND idbodega=1");
    $rowinventario=$sqlinventario->fetch_assoc();
    $bodegaprinicpal=$rowinventario['total'];
    
     //Se valida si es un cotizacion y se establecen nuevas cantidad
     
    if($_POST['bod']==0){
        $allbodegas=9999999;
        $bodegaprinicpal=9999999;
    }
    
    $array = array('rid'=>$idproducto,'rpro'=>$nameproducto,'rpreb'=>$preciob,'rpre'=>$precio,'rcan'=>$cantidad,'tcan'=>$totalgramos,'rtotid'=>round($subtotal),'riva'=>$ivaproducto,'rbod'=>$bodegaprinicpal,'tbod'=>$allbodegas);
}else{
    $nameproducto = $_POST['nproducto'];
    $id = '2147483647'.encryptIt($nameproducto);
    $ivaproducto = $_POST['oiva'];
    $ivo = ($ivaproducto+100)/100;
    $preciob = $precio/$ivo;
    $subtotal = $cantidad*$precio;
    $bodegaprinicpal = '99999';
    $allbodegas = 99999;
    $array = array('rid'=>$id,'rpro'=>$nameproducto,'rpreb'=>$preciob,'rpre'=>$precio,'rcan'=>$cantidad,'tcan'=>$totalgramos,'rtotid'=>$subtotal,'riva'=>$ivaproducto,'rbod'=>$bodegaprinicpal,'tbod'=>$allbodegas);
}
echo json_encode( $array ); 
exit(); 
?>